## ros-kinetic-ur-client-library 0.1.1

=== examples/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(ur_driver_examples)

#find_package(ur_client_library REQUIRED)

##
## Check C++11 support / enable global pedantic and Wall
##
include(DefineCXX11CompilerFlag)
DEFINE_CXX_11_COMPILER_FLAG(CXX11_FLAG)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -pedantic")

add_executable(driver_example
  full_driver.cpp)
target_compile_options(driver_example PUBLIC ${CXX11_FLAG})
target_link_libraries(driver_example ur_client_library::urcl)

add_executable(primary_pipeline_example
  primary_pipeline.cpp)
target_compile_options(primary_pipeline_example PUBLIC ${CXX11_FLAG})
target_link_libraries(primary_pipeline_example ur_client_library::urcl)

add_executable(rtde_client_example
  rtde_client.cpp)
target_compile_options(rtde_client_example PUBLIC ${CXX11_FLAG})
target_link_libraries(rtde_client_example ur_client_library::urcl)

=== debian/changelog ===
ros-kinetic-ur-client-library (0.1.1-1xenial) xenial; urgency=high

  * readme: missing whitespace
  * Further elaborated license statements in README
  * Install package.xml when built with catkin support
  * Contributors: Felix Exner, G.A. vd. Hoorn

 -- Felix Exner <exner@fzi.de>  Mon, 14 Sep 2020 22:00:00 -0000

ros-kinetic-ur-client-library (0.1.0-1xenial) xenial; urgency=high

  * initial standalone release

 -- Felix Exner <exner@fzi.de>  Thu, 10 Sep 2020 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-ur-client-library
Section: misc
Priority: optional
Maintainer: Felix Exner <exner@fzi.de>
Build-Depends: debhelper (>= 9.0.0), cmake, libboost-all-dev, libconsole-bridge-dev
Homepage: http://wiki.ros.org/ur_client_library
Standards-Version: 3.9.2

Package: ros-kinetic-ur-client-library
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libconsole-bridge-dev, ros-kinetic-catkin
Description: Standalone C++ library for accessing Universal Robots interfaces.
 This has been forked off the ur_robot_driver.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- -DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-ur-client-library//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
